Bug 1609800 - Review Request: R-simmer - Discrete-Event Simulation for R
Summary: Review Request: R-simmer - Discrete-Event Simulation for R
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-30 13:35 UTC by Iñaki Ucar
Modified: 2018-08-22 11:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-22 11:37:00 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Iñaki Ucar 2018-07-30 13:35:00 UTC
Spec URL: https://enchufa2.keybase.pub/R-simmer.spec
SRPM URL: https://enchufa2.keybase.pub/R-simmer-4.0.0-1.fc28.src.rpm

koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=28716262

This is my first package, and I am seeking a sponsor. I am R package maintainer since 2015, and particularly I am the upstream maintainer of this package.

Fedora Account System Username: iucar

Description:
A process-oriented and trajectory-based Discrete-Event Simulation (DES)
package for R. It is designed as a generic yet powerful framework. The
architecture encloses a robust and fast simulation core written in 'C++'
with automatic monitoring capabilities. It provides a rich and flexible R
API that revolves around the concept of trajectory, a common path in the
simulation model for entities of the same type.

Comment 1 Robert-André Mauchin 🐧 2018-07-30 14:40:58 UTC
Hello and welcome,


 - Group: is not used in Fedora

 - Not needed: rm -rf %{buildroot}

 - Capitalize the summary



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later)", "Unknown or generated". 105 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/R-simmer/review-R-simmer/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

R:
[x]: Package contains the mandatory BuildRequires.
[x]: The package has the standard %install section.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in R
     -simmer-debuginfo , R-simmer-debugsource
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

R:
[x]: The %check macro is present
[x]: Latest version is packaged.
     Note: Latest upstream version is 4.0.0, packaged version is 4.0.0

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: R-simmer-4.0.0-1.fc29.x86_64.rpm
          R-simmer-devel-4.0.0-1.fc29.x86_64.rpm
          R-simmer-debuginfo-4.0.0-1.fc29.x86_64.rpm
          R-simmer-debugsource-4.0.0-1.fc29.x86_64.rpm
          R-simmer-4.0.0-1.fc29.src.rpm
R-simmer-devel.x86_64: W: summary-not-capitalized C simmer Development Files
R-simmer-devel.x86_64: W: only-non-binary-in-usr-lib
R-simmer-devel.x86_64: W: no-documentation
5 packages and 0 specfiles checked; 0 errors, 3 warnings.



I am not a sponsor, you should look for one, introduce yourself on the devel mailing list and do informal package review to show that you understand the guidelines.

Comment 2 Iñaki Ucar 2018-07-30 15:17:49 UTC
Changes and new Koji build:

Spec URL: https://enchufa2.keybase.pub/R-simmer.spec
SRPM URL: https://enchufa2.keybase.pub/R-simmer-4.0.0-2.fc28.src.rpm

koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=28718047

I've already introduced myself on the devel mailing list. I'll try to informally contribute to other package reviews meanwhile. Many thanks.

Comment 3 Robert-André Mauchin 🐧 2018-07-30 15:51:46 UTC
All ok, package approved.

Comment 5 Gwyn Ciesla 2018-08-12 21:46:30 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/R-simmer

Comment 6 José Matos 2018-08-13 08:28:26 UTC
Removed blocks:FE-NEEDSPONSOR as I have sponsored Iñaki.

Comment 7 Fedora Update System 2018-08-13 08:49:01 UTC
R-simmer-4.0.0-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-cad36c666b

Comment 8 Fedora Update System 2018-08-14 22:41:31 UTC
R-simmer-4.0.0-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-cad36c666b

Comment 9 Fedora Update System 2018-08-22 11:37:00 UTC
R-simmer-4.0.0-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.